import { FireImg } from './FireImg';
import { Commercant } from './Commercant';
export class OperationCommerciale
{
  uid: string;
  name: string;
  commercantOpCom: Commercant;
  dateDebut: Date;
  dateFin: Date;
  carteTemplate: FireImg;
  avantageParrain: string;
  deviseAvantageParrain: string;
  tarifXJCParrain: string;
  avantageFilleul: string;
  deviseAvantageFilleul: string;
  tarifXJCFilleul: string;
  status: string;
  nbScan: string;
  nbEnvoie: string;
  nbDebiter: string;
  validationXJC: string;

  constructor() {
    this.uid = '';
    this.name = '';
    this.commercantOpCom = new Commercant();
    this.dateDebut = new Date();
    this.dateFin = new Date();
    this.carteTemplate = new FireImg();
    this.avantageParrain = '';
    this.deviseAvantageParrain = '';
    this.tarifXJCParrain = '';
    this.avantageFilleul = '';
    this.deviseAvantageFilleul = '';
    this.tarifXJCFilleul = '';
    this.status = '';
    this.nbScan = '0';
    this.nbEnvoie = '0';
    this.nbDebiter = '0';
    this.validationXJC = '';
  }
  /*
  addParrain(addStatus, addEmail, addFamilyname, addFirstname) {
    this.uid = '';
    this.email = addEmail;
    this.emailVerified = false;
    this.password = '';
    this.familyname = addFamilyname;
    this.firstname = addFirstname;
    this.username = '';
    this.birthday = new Date();
    this.idCard = '';
    this.secretCode = '';
    this.status = addStatus;
  }
  welcome() {
    console.log('Hi, ' + this.firstname + '!');
  }
  */
}
